#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
#
register_check_parameters(
    subgroup_applications,
    'checkpoint_eva_db',
    _('Check Point Eventia Database'),
    Dictionary(
        elements=[
            ('warncritdbdiskspace',
             Tuple(
                 title=_('Levels for Database disk space'),
                 elements=[
                     Integer(title=_('Warning at'), default_value=10, unit=_('GB')),
                     Integer(title=_('Critical at'), default_value=5, unit=_('GB')),
                 ])),
        ],
    ),
    None,
    match_type='dict',
)